## org.eclipse.emf.ecore.xmi.impl
Class EMOFHelperImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl
          org.eclipse.emf.ecore.xmi.impl.EMOFHelperImpl

All Implemented Interfaces:
  EMOFHandler.Helper, XMLHelper

    public class EMOFHelperImpl

extends XMLHelperImpl
implements EMOFHandler.Helper

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl
`XMLHelperImpl.NamespaceSupport`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper
`XMLHelper.ManyReference`

Field Summary
`protected java.util.Set<EObject>` `objectsWithGenericTypeList`
`protected EClass` `propertyClass`
`protected java.util.List<EObject>` `propertyFeatureList`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl

`allPrefixToURI, anyPrefixesToURIs, anySimpleType, checkForDuplicates, danglingHREFException, deresolve, extendedMetaData, featuresToKinds, fragmentPrefixes, INTEGER_DATATYPE_IS_MANY, INTEGER_DATATYPE_SINGLE, INTEGER_IS_MANY_ADD, INTEGER_IS_MANY_MOVE, INTEGER_OTHER, laxFeatureProcessing, mustHavePrefix, namespaceSupport, noNamespacePackage, packageRegistry, packages, prefixesToURIs, processDanglingHREF, resource, resourceURI, roots, seenEmptyStringMapping, uriHandler, urisToPrefixes, xmlMap, xmlSchemaTypePackage`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper
`DATATYPE_IS_MANY, DATATYPE_SINGLE, IS_MANY_ADD, IS_MANY_MOVE, OTHER`

Constructor Summary
`EMOFHelperImpl(XMLResource resource)`

Method Summary
`void` `convertPropertyFeatures()`
`EObject` `createObject(EFactory eFactory, EClassifier type)` Create an object given an EFactory and a type
`EStructuralFeature` `getFeature(EClass eClass, java.lang.String namespaceURI, java.lang.String name, boolean isElement)` Returns the structural feature for the XML element/attribute with the given namespaceURI and name.
`java.lang.String` `getHREF(EObject obj)` Returns an HREF to this object from this resource
`EClassifier` `getType(EFactory eFactory, java.lang.String typeName)` Given an EFactory and a type name, find and return the type
`java.lang.Object` `getValue(EObject object, EStructuralFeature feature)` Returns the XMI value of the EObject's feature
`void` `setValue(EObject object, EStructuralFeature feature, java.lang.Object value, int position)` Set the value of the feature for the object.

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl

`addNSDeclaration, addPrefix, computeFeatureKind, convertToString, createFromString, createObject, deresolve, getAnyContentPrefixToURIMapping, getDanglingHREFException, getExtendedMetaData, getFeature, getFeatureKind, getFeatureWithoutMap, getHREF, getID, getIDREF, getJavaEncoding, getName, getNamespaceURI, getNoNamespacePackage, getPrefix, getPrefix, getPrefix, getPrefixes, getPrefixToNamespaceMap, getQName, getQName, getQName, getQName, getQName, getQName, getQName, getQName, getResource, getURI, getURIFragment, getURIFragmentQuery, getXMLEncoding, getXMLMap, handleDanglingHREF, packages, popContext, popContext, populateNameInfo, populateNameInfo, populateNameInfo, pushContext, recordPrefixToURIMapping, resolve, saveString, setAnySimpleType, setCheckForDuplicates, setExtendedMetaData, setManyReference, setMustHavePrefix, setNoNamespacePackage, setOptions, setPrefixToNamespaceMap, setProcessDanglingHREF, setResource, setXMLMap, updateQNamePrefix, updateQNameURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper

`addPrefix, convertToString, createObject, deresolve, getAnyContentPrefixToURIMapping, getDanglingHREFException, getExtendedMetaData, getFeature, getFeatureKind, getID, getIDREF, getJavaEncoding, getName, getNamespaceURI, getNoNamespacePackage, getPrefix, getPrefix, getPrefixes, getPrefixToNamespaceMap, getQName, getQName, getQName, getResource, getURI, getXMLEncoding, getXMLMap, packages, popContext, popContext, populateNameInfo, populateNameInfo, populateNameInfo, pushContext, recordPrefixToURIMapping, resolve, setAnySimpleType, setCheckForDuplicates, setExtendedMetaData, setManyReference, setMustHavePrefix, setNoNamespacePackage, setOptions, setPrefixToNamespaceMap, setProcessDanglingHREF, setXMLMap`

Field Detail

### propertyClass

    protected EClass propertyClass

### propertyFeatureList

    protected java.util.List<EObject> propertyFeatureList

### objectsWithGenericTypeList

    protected java.util.Set<EObject> objectsWithGenericTypeList

Constructor Detail

### EMOFHelperImpl

    public EMOFHelperImpl(XMLResource resource)

Method Detail

### getValue

    public java.lang.Object getValue(EObject object,
                                     EStructuralFeature feature)

  Description copied from interface: `XMLHelper`
  Returns the XMI value of the EObject's feature

  Specified by:
    `getValue` in interface `XMLHelper`
  Overrides:
    `getValue` in class `XMLHelperImpl`

### setValue

    public void setValue(EObject object,
                         EStructuralFeature feature,
                         java.lang.Object value,
                         int position)

  Description copied from interface: `XMLHelper`
  Set the value of the feature for the object.

  Specified by:
    `setValue` in interface `XMLHelper`
  Overrides:
    `setValue` in class `XMLHelperImpl`

### getHREF

    public java.lang.String getHREF(EObject obj)

  Description copied from interface: `XMLHelper`
  Returns an HREF to this object from this resource

  Specified by:
    `getHREF` in interface `XMLHelper`
  Overrides:
    `getHREF` in class `XMLHelperImpl`

### getFeature

    public EStructuralFeature getFeature(EClass eClass,
                                         java.lang.String namespaceURI,
                                         java.lang.String name,
                                         boolean isElement)

  Description copied from interface: `XMLHelper`
  Returns the structural feature for the XML element/attribute with the given namespaceURI and name.

  Specified by:
    `getFeature` in interface `XMLHelper`
  Overrides:
    `getFeature` in class `XMLHelperImpl`

### getType

    public EClassifier getType(EFactory eFactory,
                               java.lang.String typeName)

  Description copied from interface: `XMLHelper`
  Given an EFactory and a type name, find and return the type

  Specified by:
    `getType` in interface `XMLHelper`
  Overrides:
    `getType` in class `XMLHelperImpl`
  See Also:
    `XMLHelper.createObject(EFactory, String)`

### createObject

    public EObject createObject(EFactory eFactory,
                                EClassifier type)

  Description copied from interface: `XMLHelper`
  Create an object given an EFactory and a type

  Specified by:
    `createObject` in interface `XMLHelper`
  Overrides:
    `createObject` in class `XMLHelperImpl`
  Returns:
    the created object.
  See Also:
    `XMLHelper.createObject(EFactory, String)`

### convertPropertyFeatures

    public void convertPropertyFeatures()

  Specified by:
    `convertPropertyFeatures` in interface `EMOFHandler.Helper`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.